%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

%global upstream_name flufl.i18n

Name:           python-%{upstream_name}
Version:        1.1.3
Release:        1%{?dist}
Summary:        A high level API for Python internationalization

License:        LGPLv3+
URL:            https://launchpad.net/flufl.i18n
Source0:        http://pypi.python.org/packages/source/f/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-setuptools


%description
The ``flufl.i18n`` library provides a convenient API for managing translation
contexts in Python applications. It provides facilities not only for
single-context applications like command line scripts, but also more
sophisticated management of multiple-context applications such as Internet
servers.


%package -n python%{python3_pkgversion}-%{upstream_name}
Summary:        A high level API for Python internationalization
BuildRequires:  python3-pkgversion-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{upstream_name}
The ``flufl.i18n`` library provides a convenient API for managing translation
contexts in Python applications. It provides facilities not only for
single-context applications like command line scripts, but also more
sophisticated management of multiple-context applications such as Internet
servers.


%prep
%setup -q -n %{upstream_name}-%{version}
# Remove bundled egg-info
rm -rf %{upstream_name}.egg-info

rm -rf %{py3dir}
cp -a . %{py3dir}


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd


%files
%defattr(-,root,root,-)
%doc README.rst COPYING-LESSER.txt
%{python_sitelib}/flufl
%{python_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info
%{python_sitelib}/%{upstream_name}-%{version}-py?.?-nspkg.pth

%files -n python%{python3_pkgversion}-%{upstream_name}
%defattr(-,root,root,-)
%doc README.rst COPYING-LESSER.txt
%{python3_sitelib}/flufl
%{python3_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{upstream_name}-%{version}-py?.?-nspkg.pth

%changelog
* Wed Nov 28 2012 Aurelien Bompard - 1.1.1-1
- Initial package.
